> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generates an EDI 810 Invoice for the specified shipment

> Generates an EDI 810 Invoice for the specified shipment



## OpenAPI

````yaml /openapi/openapi_dropship.json get /commerce/dropship/invoice/{shipmentNumber}
openapi: 3.0.1
info:
  description: OpenAPI Spec for Kibo DropShip Service
  title: DropShip
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/dropship/invoice/{shipmentNumber}:
    get:
      tags:
        - DropShip
      summary: Generates an EDI 810 Invoice for the specified shipment
      description: Generates an EDI 810 Invoice for the specified shipment
      parameters:
        - description: The shipment number to generate EDI 810 for
          in: path
          name: shipmentNumber
          required: true
          schema:
            format: int32
            type: integer
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionSet810'
            text/json:
              schema:
                $ref: '#/components/schemas/TransactionSet810'
            text/plain:
              schema:
                $ref: '#/components/schemas/TransactionSet810'
          description: OK
components:
  schemas:
    TransactionSet810:
      description: TransactionSet810 - Complete 810 Invoice Transaction Set (Contract DTO)
      properties:
        administrativeCommunicationsContact:
          items:
            $ref: '#/components/schemas/AdministrativeCommunicationsContact'
          nullable: true
          type: array
        beginningSegmentForInvoice:
          items:
            $ref: '#/components/schemas/BeginningSegmentForInvoice'
          nullable: true
          type: array
        currency:
          items:
            $ref: '#/components/schemas/DropShipCurrency'
          nullable: true
          type: array
        dateTimeReference:
          items:
            $ref: '#/components/schemas/DateTimeReference'
          nullable: true
          type: array
        fobRelatedInstructions:
          items:
            $ref: '#/components/schemas/FOBRelatedInstructions'
          nullable: true
          type: array
        iT1_loop:
          items:
            $ref: '#/components/schemas/IT1_Loop'
          nullable: true
          type: array
        monetaryAmountInformation:
          items:
            $ref: '#/components/schemas/MonetaryAmountInformation'
          nullable: true
          type: array
        n1_loop:
          items:
            $ref: '#/components/schemas/N1_Loop'
          nullable: true
          type: array
        taxInformation:
          items:
            $ref: '#/components/schemas/TaxInformation'
          nullable: true
          type: array
        termsOfSaleDeferredTermsOfSale:
          items:
            $ref: '#/components/schemas/TermsOfSaleDeferredTermsOfSale'
          nullable: true
          type: array
        totalMonetaryValueSummary:
          items:
            $ref: '#/components/schemas/TotalMonetaryValueSummary'
          nullable: true
          type: array
        transactionSetHeader:
          items:
            $ref: '#/components/schemas/TransactionSetHeader'
          nullable: true
          type: array
        transactionSetTrailer:
          items:
            $ref: '#/components/schemas/TransactionSetTrailer'
          nullable: true
          type: array
        transactionTotals:
          items:
            $ref: '#/components/schemas/TransactionTotals'
          nullable: true
          type: array
      type: object
    AdministrativeCommunicationsContact:
      description: >-
        Administrative Communications Contact (PER) - Contact information
        (REUSABLE)
      properties:
        communicationNumber:
          description: Communication Number
          nullable: true
          type: string
        communicationNumber1:
          description: Communication Number 1
          nullable: true
          type: string
        communicationNumber2:
          description: Communication Number 2
          nullable: true
          type: string
        communicationNumberQualifier:
          description: Communication Number Qualifier
          nullable: true
          type: string
        communicationNumberQualifier1:
          description: Communication Number Qualifier 1
          nullable: true
          type: string
        communicationNumberQualifier2:
          description: Communication Number Qualifier 2
          nullable: true
          type: string
        contactFunctionCode:
          description: Contact Function Code
          nullable: true
          type: string
        contactInquiryReference:
          description: Contact Inquiry Reference
          nullable: true
          type: string
        name:
          description: Name
          nullable: true
          type: string
      type: object
    BeginningSegmentForInvoice:
      description: Beginning Segment for Invoice (BIG) - Invoice header information
      properties:
        date:
          nullable: true
          type: string
        date1:
          nullable: true
          type: string
        invoiceNumber:
          nullable: true
          type: string
        purchaseOrderNumber:
          nullable: true
          type: string
        transactionSetPurposeCode:
          nullable: true
          type: string
      type: object
    DropShipCurrency:
      description: Currency (CUR) - Identifies the monetary unit
      properties:
        currencyCode:
          description: Currency Code (e.g., USD, EUR, CAD)
          nullable: true
          type: string
        entityIdentifierCode:
          description: Entity Identifier Code
          nullable: true
          type: string
      type: object
    DateTimeReference:
      description: Date/Time Reference (DTM) - Date and time information (REUSABLE)
      properties:
        date:
          description: Date (CCYYMMDD format)
          nullable: true
          type: string
        dateTimeQualifier:
          description: Date/Time Qualifier
          nullable: true
          type: string
        time:
          description: Time (HHMM or HHMMSS format)
          nullable: true
          type: string
        timeCode:
          description: Time Code
          nullable: true
          type: string
      type: object
    FOBRelatedInstructions:
      description: FOB Related Instructions (FOB) - Free on board instructions
      properties:
        description:
          nullable: true
          type: string
        description1:
          nullable: true
          type: string
        locationQualifier:
          nullable: true
          type: string
        locationQualifier1:
          nullable: true
          type: string
        shipmentMethodOfPaymentCode:
          nullable: true
          type: string
        transportationTermsCode:
          nullable: true
          type: string
        transportationTermsQualifierCode:
          nullable: true
          type: string
      type: object
    IT1_Loop:
      description: IT1 Loop - Invoice Line Item Loop
      properties:
        additionalItemData:
          items:
            $ref: '#/components/schemas/AdditionalItemData'
          nullable: true
          type: array
        baselineItemDataInvoice:
          items:
            $ref: '#/components/schemas/BaselineItemDataInvoice'
          nullable: true
          type: array
        dateTimeReference:
          items:
            $ref: '#/components/schemas/DateTimeReference'
          nullable: true
          type: array
        itemPhysicalDetails:
          items:
            $ref: '#/components/schemas/ItemPhysicalDetails'
          nullable: true
          type: array
        piD_loop:
          items:
            $ref: '#/components/schemas/PID_Loop'
          nullable: true
          type: array
        pricingInformation:
          items:
            $ref: '#/components/schemas/PricingInformation'
          nullable: true
          type: array
        taxInformation:
          items:
            $ref: '#/components/schemas/TaxInformation'
          nullable: true
          type: array
      type: object
    MonetaryAmountInformation:
      description: >-
        Monetary Amount Information (AMT) - Monetary amount information
        (REUSABLE)
      properties:
        amountQualifierCode:
          description: Amount Qualifier Code
          nullable: true
          type: string
        monetaryAmount:
          description: Monetary Amount
          format: double
          nullable: true
          type: number
      type: object
    N1_Loop:
      description: >-
        N1 Loop - Party Identification Loop

        Contains party information including identification, additional names,
        location, and geographic details
      properties:
        additionalNameInformation:
          description: >-
            N2 - Additional Name Information

            To specify additional names or those longer than 35 characters in
            length
          items:
            $ref: '#/components/schemas/AdditionalNameInformation'
          nullable: true
          type: array
        administrativeCommunicationsContact:
          description: >-
            PER - Administrative Communications Contact

            To identify a person or office to whom administrative communications
            should be directed
          items:
            $ref: '#/components/schemas/AdministrativeCommunicationsContact'
          nullable: true
          type: array
        geographicLocation:
          description: |-
            N4 - Geographic Location
            To specify the geographic place of the named party
          items:
            $ref: '#/components/schemas/GeographicLocation'
          nullable: true
          type: array
        partyIdentification:
          description: |-
            N1 - Party Identification
            To identify a party by type of organization, name, and code
          items:
            $ref: '#/components/schemas/PartyIdentification'
          nullable: true
          type: array
        partyLocation:
          description: |-
            N3 - Party Location
            To specify the location of the named party
          items:
            $ref: '#/components/schemas/PartyLocation'
          nullable: true
          type: array
        referenceInformation:
          description: |-
            REF - Reference Information
            To specify identifying information
          items:
            $ref: '#/components/schemas/ReferenceInformation'
          nullable: true
          type: array
      type: object
    TaxInformation:
      description: Tax Information (TXI) - Tax details
      properties:
        dollarBasisForPercent:
          nullable: true
          type: string
        monetaryAmount:
          nullable: true
          type: string
        percentageAsDecimal:
          nullable: true
          type: string
        taxExemptCode:
          nullable: true
          type: string
        taxIdentificationNumber:
          nullable: true
          type: string
        taxTypeCode:
          nullable: true
          type: string
      type: object
    TermsOfSaleDeferredTermsOfSale:
      description: Terms of Sale/Deferred Terms of Sale (ITD) - Terms of sale information
      properties:
        dayOfMonth:
          description: Day of Month
          nullable: true
          type: string
        description:
          description: Description
          nullable: true
          type: string
        paymentMethodTypeCode:
          description: Payment Method Type Code
          nullable: true
          type: string
        termsBasisDateCode:
          description: Terms Basis Date Code
          nullable: true
          type: string
        termsDiscountAmount:
          description: Terms Discount Amount
          nullable: true
          type: string
        termsNetDays:
          description: Terms Net Days
          nullable: true
          type: string
        termsTypeCode:
          description: Terms Type Code
          nullable: true
          type: string
      type: object
    TotalMonetaryValueSummary:
      description: Total Monetary Value Summary (TDS) - Invoice total amounts
      properties:
        amount:
          nullable: true
          type: string
        amount1:
          nullable: true
          type: string
      type: object
    TransactionSetHeader:
      description: >-
        Transaction Set Header (ST) - Starts a transaction set and assigns a
        control number
      properties:
        transactionSetControlNumber:
          description: Transaction Set Control Number
          nullable: true
          type: string
        transactionSetIdentifierCode:
          description: Transaction Set Identifier Code (e.g., "850" for Purchase Order)
          nullable: true
          type: string
      type: object
    TransactionSetTrailer:
      description: >-
        Transaction Set Trailer (SE) - Ends a transaction set and provides
        segment count
      properties:
        numberOfIncludedSegments:
          description: Number of Included Segments (including ST and SE segments)
          nullable: true
          type: string
        transactionSetControlNumber:
          description: Transaction Set Control Number (must match ST02)
          nullable: true
          type: string
      type: object
    TransactionTotals:
      description: Transaction Totals (CTT) - Transaction set totals
      properties:
        hashTotal:
          description: Hash Total
          nullable: true
          type: string
        numberOfLineItems:
          description: Number of Line Items
          nullable: true
          type: string
        unitOrBasisForMeasurementCode:
          nullable: true
          type: string
        unitOrBasisForMeasurementCode1:
          nullable: true
          type: string
        volume:
          nullable: true
          type: string
        weight:
          nullable: true
          type: string
      type: object
    AdditionalItemData:
      description: Additional Item Data (IT3) - Shipped quantity information
      properties:
        numberOfUnitsShipped:
          nullable: true
          type: string
        unitOrBasisForMeasurementCode:
          nullable: true
          type: string
      type: object
    BaselineItemDataInvoice:
      description: Baseline Item Data - Invoice (IT1) - Line item information for invoice
      properties:
        assignedIdentification:
          nullable: true
          type: string
        basisOfUnitPriceCode:
          nullable: true
          type: string
        productServiceID:
          nullable: true
          type: string
        productServiceID1:
          nullable: true
          type: string
        productServiceID2:
          nullable: true
          type: string
        productServiceIDQualifier:
          nullable: true
          type: string
        productServiceIDQualifier1:
          nullable: true
          type: string
        productServiceIDQualifier2:
          nullable: true
          type: string
        quantityInvoiced:
          nullable: true
          type: string
        unitOrBasisForMeasurementCode:
          nullable: true
          type: string
        unitPrice:
          nullable: true
          type: string
      type: object
    ItemPhysicalDetails:
      description: Item Physical Details (PO4) - Physical characteristics of items
      properties:
        grossVolumePerPack:
          description: Gross Volume per Pack
          nullable: true
          type: string
        grossWeightPerPack:
          description: Gross Weight per Pack
          nullable: true
          type: string
        height:
          description: Height
          nullable: true
          type: string
        length:
          description: Length
          nullable: true
          type: string
        pack:
          description: Pack
          nullable: true
          type: string
        packagingCode:
          description: Packaging Code
          nullable: true
          type: string
        size:
          description: Size
          nullable: true
          type: string
        unitOrBasisForMeasurementCode:
          description: Unit or Basis for Measurement Code
          nullable: true
          type: string
        unitOrBasisForMeasurementCode1:
          description: Unit or Basis for Measurement Code 1
          nullable: true
          type: string
        unitOrBasisForMeasurementCode2:
          description: Unit or Basis for Measurement Code 2
          nullable: true
          type: string
        unitOrBasisForMeasurementCode3:
          description: Unit or Basis for Measurement Code 3
          nullable: true
          type: string
        weightQualifier:
          description: Weight Qualifier
          nullable: true
          type: string
        width:
          description: Width
          nullable: true
          type: string
      type: object
    PID_Loop:
      description: |-
        PID Loop - Product/Item Description Loop
        Contains product/item descriptions and related information
      properties:
        productItemDescription:
          description: |-
            PID - Product/Item Description
            To describe a product or process in coded or free-form format
          items:
            $ref: '#/components/schemas/ProductItemDescription'
          nullable: true
          type: array
      type: object
    PricingInformation:
      description: Pricing Information (CTP) - Pricing information for items
      properties:
        classOfTradeCode:
          nullable: true
          type: string
        multiplier5:
          nullable: true
          type: string
        priceIdentifierCode:
          nullable: true
          type: string
        priceMultiplierQualifier:
          nullable: true
          type: string
        unitPrice:
          nullable: true
          type: string
      type: object
    AdditionalNameInformation:
      description: Additional Name Information (N2) - Additional name information
      properties:
        name:
          description: Name
          nullable: true
          type: string
      type: object
    GeographicLocation:
      description: >-
        Geographic Location (N4) - City, state, postal code, and country
        information
      properties:
        cityName:
          description: City Name
          nullable: true
          type: string
        countryCode:
          description: Country Code
          nullable: true
          type: string
        locationIdentifier:
          description: Location Identifier
          nullable: true
          type: string
        locationQualifier:
          description: Location Qualifier
          nullable: true
          type: string
        postalCode:
          description: Postal Code
          nullable: true
          type: string
        stateOrProvinceCode:
          description: State or Province Code
          nullable: true
          type: string
      type: object
    PartyIdentification:
      description: Party Identification (N1) - Name and identification information
      properties:
        entityIdentifierCode:
          description: Entity Identifier Code
          nullable: true
          type: string
        identificationCode:
          description: Identification Code
          nullable: true
          type: string
        identificationCodeQualifier:
          description: Identification Code Qualifier
          nullable: true
          type: string
        name:
          description: Name
          nullable: true
          type: string
      type: object
    PartyLocation:
      description: Party Location (N3) - Address information
      properties:
        addressInformation:
          description: Address Information
          nullable: true
          type: string
      type: object
    ReferenceInformation:
      description: >-
        Reference Information (REF) - Reference identification information
        (REUSABLE)
      properties:
        referenceIdentification:
          description: Reference Identification
          nullable: true
          type: string
        referenceIdentificationQualifier:
          description: Reference Identification Qualifier
          nullable: true
          type: string
      type: object
    ProductItemDescription:
      description: >-
        Product/Item Description (PID) - Product description information
        (REUSABLE)
      properties:
        description:
          description: Description
          nullable: true
          type: string
        itemDescriptionTypeCode:
          description: Item Description Type Code
          nullable: true
          type: string
        productProcessCharacteristicCode:
          description: Product/Process Characteristic Code
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````